Gets a list of shipments
curl --request GET \
--url https://api.example.com/api/v1/Shipments \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/Shipments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/Shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSuccess": true,
"message": "<string>",
"payload": [
{
"accountNumber": "<string>",
"shipmentId": "<string>",
"warehouseName": "Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette Valley",
"customerName": "<string>",
"fulfillmentDate": "2023-11-07T05:31:56Z",
"orderNumber": "<string>",
"wineDirectOrderNumber": "<string>",
"orderTypeCode": "<string>",
"carrierCode": "<string>",
"carrierName": "<string>",
"trackingNumber": "<string>",
"trackingNumberUrl": "<string>",
"isClaimable": true,
"packageWeight": 123,
"deliveryStatusCode": "<string>",
"deliveryStatusName": "<string>",
"shipToFirstName": "<string>",
"shipToLastName": "<string>",
"shipToCompanyName": "<string>",
"shipToAddress1": "<string>",
"shipToAddress2": "<string>",
"shipToAddress3": "<string>",
"shipToCity": "<string>",
"shipToState": "<string>",
"shipToPostalCode": "<string>",
"notificationEmailAddress": "<string>",
"notificationPhoneNumber": "<string>",
"deliveryAddressTypeCode": "<string>",
"deliveryAddressTypeName": "<string>",
"deliverToCompanyName": "<string>",
"deliverToAddress1": "<string>",
"deliverToAddress2": "<string>",
"deliverToAddress3": "<string>",
"deliverToCity": "<string>",
"deliverToState": "<string>",
"deliverToPostalCode": "<string>",
"deliveredDate": "2023-11-07T05:31:56Z",
"hasClaim": true,
"isRedirectable": true,
"wineDirectSku": "<string>",
"sku": "<string>",
"description": "<string>",
"depletionDate": "2023-11-07T05:31:56Z",
"uom": "<string>",
"subInventoryCode": "<string>",
"qtyShipped": 123,
"qtyOrdered": 123,
"qtyReturned": 123,
"qtyDamaged": 123,
"qtyMissing": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
],
"lineItems": [
{
"shipmentId": "<string>",
"lineNumber": "<string>",
"componentNumber": 123,
"sku": "<string>",
"wineDirectSku": "<string>",
"description": "<string>",
"depletionDate": "2023-11-07T05:31:56Z",
"qtyShipped": 123,
"qtyOrdered": 123,
"qtyReturned": 123,
"qtyDamaged": 123,
"qtyMissing": 123,
"vasOrderPersonalizations": [
{
"type": "<string>",
"lineNumber": 123,
"message": "<string>",
"options": [
{
"type": "<string>",
"option": "<string>",
"message": "<string>"
}
]
}
]
}
]
}
]
}Gets a list of shipments
GET
/
api
/
v1
/
Shipments
Gets a list of shipments
Authorizations
Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'
Query Parameters
AccountNumber is the unique Customer ID in the WineDirect system.
Minimum string length:
2The beginning date of the search range. Omit if you are specifying an order number
YYYY-MM-DD
The ending date of the search range. Omit if you are specifying an order number
YYYY-MM-DD
The status of the delivery (Code) Omit if you are specifying an order number
'DELIVERED' - The package has been delivered to the intended recipient.
'EXCEPTION' - The last recorded activity for the package is a delivery exception.
'IN_TRANSIT'- The package is in transit within the carrier network.
'RETURNED' - The package has been returned to the fulfillment center.
'SHIPPED' - The package has been shipped from the fulfillment center, but is not yet tracking in the carrier network.
The order number of the customer. Do not include date ranges if you include the order number.
Response
200 - application/json
Returns the list of shipments
Was this page helpful?
⌘I